Gentoo 2479 Published by

A snakeyaml security update has been released for Gentoo Linux.



GLSA 202305-28 : snakeyaml: Multiple Vulnerabilities


- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 202305-28
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Low
Title: snakeyaml: Multiple Vulnerabilities
Date: May 21, 2023
Bugs: #776796, #868621
ID: 202305-28

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
=======
Multiple vulnerabilities have been found in snakeyaml, the worst of
which could result in denial of service.

Background
=========
snakeyaml is a YAML 1.1 parser and emitter for Java.

Affected packages
================
Package Vulnerable Unaffected
------------------ ------------ ------------
dev-java/snakeyaml < 1.33 >= 1.33

Description
==========
Multiple vulnerabilities have been discovered in snakeyaml. Please
review the CVE identifiers referenced below for details.

Impact
=====
Please review the referenced CVE identifiers for details.

Workaround
=========
There is no known workaround at this time.

Resolution
=========
All snakeyaml users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">?v-java/snakeyaml-1.33"

References
=========
[ 1 ] CVE-2017-18640
  https://nvd.nist.gov/vuln/detail/CVE-2017-18640
[ 2 ] CVE-2022-38749
  https://nvd.nist.gov/vuln/detail/CVE-2022-38749
[ 3 ] CVE-2022-38750
  https://nvd.nist.gov/vuln/detail/CVE-2022-38750
[ 4 ] CVE-2022-38751
  https://nvd.nist.gov/vuln/detail/CVE-2022-38751
[ 5 ] CVE-2022-38752
  https://nvd.nist.gov/vuln/detail/CVE-2022-38752

Availability
===========
This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

  https://security.gentoo.org/glsa/202305-28

Concerns?
========
Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
  https://bugs.gentoo.org.

License
======
Copyright 2023 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

  https://creativecommons.org/licenses/by-sa/2.5